Package org.apache.batchee.camel.component

## Class JBatchProducer

- java.lang.Object
- - org.apache.camel.support.ServiceSupport
  - - org.apache.camel.impl.DefaultProducer
    - - org.apache.batchee.camel.component.JBatchProducer

- All Implemented Interfaces:
    `org.apache.camel.IsSingleton`, `org.apache.camel.Processor`, `org.apache.camel.Producer`, `org.apache.camel.Service`, `org.apache.camel.ShutdownableService`, `org.apache.camel.StatefulService`, `org.apache.camel.SuspendableService`

      public class JBatchProducer
      extends org.apache.camel.impl.DefaultProducer

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `JBATCH_EXECUTION_ID` |
    `static String` | `JBATCH_OPERATOR` |

    - ### Fields inherited from class org.apache.camel.impl.DefaultProducer

      `log`

    - ### Fields inherited from class org.apache.camel.support.ServiceSupport

      `shutdown, shuttingdown, started, starting, stopped, stopping, suspended, suspending`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JBatchProducer​(org.apache.camel.Endpoint jBatchEndpoint, javax.batch.operations.JobOperator operator, String job, int synchronous, boolean restart, boolean stop, boolean abandon)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `process​(org.apache.camel.Exchange exchange)` |

    - ### Methods inherited from class org.apache.camel.impl.DefaultProducer

      `createExchange, createExchange, createExchange, doStart, doStop, getEndpoint, isSingleton, toString`

    - ### Methods inherited from class org.apache.camel.support.ServiceSupport

      `doResume, doShutdown, doSuspend, getStatus, getVersion, isRunAllowed, isStarted, isStarting, isStopped, isStopping, isStoppingOrStopped, isSuspended, isSuspending, resume, shutdown, start, stop, suspend`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.camel.Service

      `start, stop`

- - ### Field Detail

    - #### JBATCH_EXECUTION_ID

          public static final String JBATCH_EXECUTION_ID

      See Also:
        Constant Field Values

    - #### JBATCH_OPERATOR

          public static final String JBATCH_OPERATOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JBatchProducer

          public JBatchProducer​(org.apache.camel.Endpoint jBatchEndpoint,
                                javax.batch.operations.JobOperator operator,
                                String job,
                                int synchronous,
                                boolean restart,
                                boolean stop,
                                boolean abandon)

  - ### Method Detail

    - #### process

          public void process​(org.apache.camel.Exchange exchange)
                       throws Exception

      Throws:
        `Exception`